#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const generator_helper_1 = require("@prisma/generator-helper");
const generate_1 = __importDefault(require("./generate"));
const disabled = process.env.DISABLE_ERD === 'true';
(0, generator_helper_1.generatorHandler)({
    onManifest: () => ({
        defaultOutput: disabled ? 'N/A' : 'ERD.svg',
        prettyName: disabled ? 'No ERD' : 'Entity-relationship-diagram',
        requiresEngines: ['queryEngine'],
        version: require('../package.json').version,
    }),
    onGenerate: generate_1.default,
});
